/**
 * Vorlage Kapitel 1.3 - Einstiegsaufgabe: Klasse Fieberthermometer als Simulation eines 
 * digitalen Fieberthermometers
 * 
 * @author Peter Brichzin
 * @version 1.0
 */
class Fieberthermometer extends Methodenbox
{
    private double temperatur;

    /**
     * Methode TemperaturPrüfen prüft die Temperatur und gibt eine Rückmeldung zum Fieber.
     *
     */
    void TemperaturPrüfen()
    {
        if(temperatur < 38)
        {
            setzeFarbanzeige("grün");
            setzeTextWarnanzeige("kein Fieber");
        }
        else
        {
            setzeFarbanzeige("rot");
            setzeTextWarnanzeige("Fieber!");

        }

    }

    /**
     * Aktionsmethode zur Tastatursteuerung 
     * ACHTUNG: Methodenkopf darf nicht geändert werden
     * @param taste die gedrückte Taste (nur normale Tasten wie Buchstaben sind möglich, 
     *                                    keine Sondertasten wie die Cursortasten)
     */ 
    @Override void TasteGedrückt(char taste)
    {

        if (taste == 's')
        {
            temperatur = 36.5; 
            Starten();
        }
        if (taste == '+')
        {
            temperatur = temperatur + 0.5; 
        }
        if (taste == '-')
        {
            temperatur = temperatur - 0.5; 
        }
        setzeTemperaturanzeige(temperatur);

    }

    /**
     * Aktionsmethode, damit regelmäßig geprüft wird, ob wegen einer Temperaturänderung die 
     * Anzeige geändert werden muss.
     * ACHTUNG: Methodenkopf darf nicht geändert werden.
     */ 
    @Override void TaktImpulsAusführen()
    {
        TemperaturPrüfen();
    }

}
