/**
 * Vorlage Kapitel 1.3 - Aufgabe 5: Klasse Blutalkoholgehalt zur Berechnung des Blutalkoholgehalts
 * 
 * @author Peter Brichzin
 * @version 1.0
 */
public class Blutalkoholgehalt extends Methodenbox
{
    private boolean weiblich;
    private double masse;
    private double alkoholmenge;  // in Gramm
    private double blutalkoholgehalt; // in Promille

    /**
     * Begrüßung nach Erzeugen eines Objekts
     */
    Blutalkoholgehalt()
    {
        System.out.println("Herzlich Willkommen");
        System.out.println("Rufen Sie zunächst die Methode Starten auf, um zur Preisberechnung nötige Werte einzugeben.");

    }

    /**
     * Nutzerabfrage für Eingabewerte
     * Alkoholmenge und Gewicht müssen als ganze Zahl eingegeben werden. 
     * Die Speicherung erfolgt als Dezimalzahl, weil in der Berechnung
     * des Blutalkoholgehalts ganze Zahlen nicht ausreichend sind.
     */
    void Starten()
    {
        String aktuelleEingabe;

        System.out.println("Bist du eine Frau?  (j/n)");
        aktuelleEingabe = liesWort();
        if(aktuelleEingabe.charAt(0) == 'j')
        {
            weiblich = true;
        }
        else 
        {
            if(!aktuelleEingabe.equalsIgnoreCase("n"))
            {
                System.out.println("Eingabe nicht erkannt. Geschlecht auf männlich gesetzt.");

            }
            weiblich = false;
        }

        System.out.println("Wie viel kg wiegst du?");
        aktuelleEingabe = liesWort();
        masse = Integer.parseInt(aktuelleEingabe);

        System.out.println("Wie viel Gramm Alkohol hast du getrunken?");
        aktuelleEingabe = liesWort();
        alkoholmenge = Integer.parseInt(aktuelleEingabe);

        System.out.println("Eingegebene Werte");
        System.out.println("istWeiblich: " + weiblich );
        System.out.println("Gewicht in kg: " + masse );
        System.out.println("Alkoholmenge in g: "+ alkoholmenge );
        System.out.println("");
        System.out.println("Nun bitte die Methode AlkoholgehaltBerechnen aufrufen." );

    }

    /**
     * Methode AlkoholgehaltBerechnen berechnet den Alkoholgehalt in Promille und gibt ihn aus.
     *
     */
    void AlkoholgehaltBerechnen()
    {
        //ToDo
        //ToDo
        //ToDo

        //Ausgabe des  Alkoholgehalts in Promille mit 2 Kommastellen
        System.out.print("Dein Alkoholgehalt in Promille beträgt ");
        System.out.printf("%.2f", blutalkoholgehalt);
        System.out.println(".");
    }

}