/**
 * Vorlage Kapitel 1.3 - Aufgabe 6: Klasse Kinopreisberechung zur Berechnung des Kinopreises
 * 
 * @author Peter Brichzin
 * @version 1.0
 */
public class Kinopreisberechung extends Methodenbox
{
    private boolean istKinotag;
    private boolean istSchüler;
    private double preis;  // in Euro

    /**
     * Begrüßung nach Erzeugen eines Objekts
     */
    Kinopreisberechung()
    {
        System.out.println("Herzlich Willkommen");
        System.out.println("Rufen Sie zunächst die Methode Starten auf, um zur Preisberechnung nötige Werte einzugeben.");

    }

    /**
     * Methode PreisBerechnen berechnet den Gesamtpreis und gibt ihn aus.
     *
     */
    void PreisBerechnen()
    {
        //toDo
        //toDo
        //toDo

        //Ausgabe des  Preises mit 2 Kommastellen
        System.out.print("Der Gesamtpreis beträgt ");
        System.out.printf("%.2f", preis);
        System.out.print("€.");

    }

    /**
     * Nutzerabfrage für Eingabewerte
     */
    void Starten()
    {
        char aktuelleBuchstabeneingabe;
        String aktuelleTexteingabe;

        System.out.println("Ist heute Kinotag?  (j/n)");
        aktuelleBuchstabeneingabe = liesBuchstaben();
        if(aktuelleBuchstabeneingabe == 'j')
        {
            istKinotag = true;
        }
        else 
        {
            if(aktuelleBuchstabeneingabe != 'n')
            {
                System.out.println("Eingabe nicht erkannt, istKinotag wird auf false gesetzt.");

            }
            istKinotag = false;
        }

        System.out.println("Bist du Schüler*in?  (j/n)");
        aktuelleBuchstabeneingabe = liesBuchstaben();
        if(aktuelleBuchstabeneingabe == 'j')
        {
            istSchüler = true;
        }
        else 
        {
            if(aktuelleBuchstabeneingabe != 'n')
            {
                System.out.println("Eingabe nicht erkannt, istSchüler wird auf false gesetzt.");

            }
            istSchüler = false;
        }

        // Hinweis Teilaufgabe b: Über den folgenden Methodenaufruf 
        // Integer.parseInt(aktuelleTexteingabe)
        // kann eine ganze Zahl eingelesen werden

        System.out.println("Eingegebene Werte");
        System.out.println("istKinotag: " + istKinotag );
        System.out.println("istSchüler: " + istSchüler );

        System.out.println("");
        System.out.println("Zur Berechnung die Methode PreisBerechnen aufrufen" );
    }


}